summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/daemons/daemons-1.2.6.ebuild')
-rw-r--r--dev-ruby/daemons/daemons-1.2.6.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/daemons/daemons-1.2.6.ebuild b/dev-ruby/daemons/daemons-1.2.6.ebuild
new file mode 100644
index 00000000000..792eabef56a
--- /dev/null
+++ b/dev-ruby/daemons/daemons-1.2.6.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_EXTRADOC="Releases README.md"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Wrap existing ruby scripts to be run as a daemon"
+HOMEPAGE="https://github.com/thuehlinger/daemons"
+SRC_URI="https://github.com/thuehlinger/daemons/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="examples"
+
+all_ruby_prepare() {
+ sed -i -e '/\(pry\|simplecov\)/I s:^:#:' spec/spec_helper.rb || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ use examples || return
+
+ insinto /usr/share/doc/${PF}/
+ doins -r examples
+}